Make ВП: a namespace alias for the project namespace at ukwiki
Closed, ResolvedPublic

Description

Author: microcell3

Description:
Currently the Ukrainian Wikipedia has no alternative namespace for Вікіпедія: (Wikipedia:/Project:), unlike many other editions, for example, WP: in the English Wikipedia. Due to its absence shortcuts for special and maintenance pages are made as redirects from the main namespace, all of them having names like ВП:ХХ. Despite this doesn't harm the system and is probably unknown for most readers and editors, some problems about it exist:

  1. all changes made to them are recognised as mainspace edits, in spite of having nothing to do with articles;
  2. overflowing the list of cross-namespace redirects; moreover, the issue caused adding an exception to the local CSD policy.

The list of all page starting with ВП: (http://uk.wikipedia.org/wiki/Special:PrefixIndex/ВП:) consists of aforementioned redirects only. In some cases, the target page has the same name in Wikipedia space (ВП:Біологічні статті -> Вікіпедія:Біологічні статті), thus merging mustn't affect them.

So, the proposal is to:

  1. introduce ВП: as an alternative for Вікіпедія: ;
  2. in case two pages have the same title after modification, that one which is not a redirect is supposed to be displayed instead.

As it is, no major technical problems must occur.

Thanks,
Microcell.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz29210.
bzimport created this task.Via LegacyMay 30 2011, 4:36 PM
Bawolff added a comment.Via ConduitMay 30 2011, 4:42 PM

This sort of change usually requires community consensus at the wiki in question.

MarkAHershberger added a comment.Via ConduitMay 30 2011, 11:04 PM

Right, please show community consensus. [[WP:CON]]

bzimport added a comment.Via ConduitMay 31 2011, 7:32 PM

microcell3 wrote:

Yesterday I initiated the discussion (http://uk.wikipedia.org/wiki/Вікіпедія:Кнайпа_(технічні_питання)#Простір_ВП:), now there are five votes in favour apart from mine. The only expressed concern was about possible technical overlaps, but this looks like a single issue which will possibly need small manual fixes. Shall I attract more local attention to the issue?

Bawolff added a comment.Via ConduitMay 31 2011, 10:14 PM

(In reply to comment #3)

Yesterday I initiated the discussion
(http://uk.wikipedia.org/wiki/Вікіпедія:Кнайпа_(технічні_питання)#Простір_ВП:),
now there are five votes in favour apart from mine. The only expressed concern
was about possible technical overlaps, but this looks like a single issue which
will possibly need small manual fixes. Shall I attract more local attention to
the issue?

Generally the way duplicates are handled (by namespaceDupes.php) is that one of the dupes is automatically renamed to [[original_name/BROKEN]], from there the community usually deletes or renames as appropriate.

bzimport added a comment.Via ConduitJun 1 2011, 12:56 PM

microcell3 wrote:

Very well. Then I have only two questions:

  1. Will these renamings be logged anywhere to let us handle them?
  2. Am I supposed to do anything else if the community has no objections for now?
Bawolff added a comment.Via ConduitJun 1 2011, 5:18 PM

(In reply to comment #5)

Very well. Then I have only two questions:

  1. Will these renamings be logged anywhere to let us handle them?
  2. Am I supposed to do anything else if the community has no objections for now?

Generally the renames will be listed on the bug report after the request is done (or at least that's what has happened for other similar requests). If the community has no objections, then there is nothing else you have to do. Note, that sometimes these requests take a little while to fulfill, as often the shell users wait until there are several shell requests, and then do them all at once.

bzimport added a comment.Via ConduitJul 13 2011, 10:57 PM

jeluf wrote:

What is the outcome of the discussion, did the community approve the change?

bzimport added a comment.Via ConduitJul 16 2011, 3:02 PM

microcell3 wrote:

If your question is about the formal subsection with a summary by an uninvolved administrator, it wasn't closed this way as you can see. After some active users agreed to the suggestion, I announced it right on Bugzilla asking about possible fallout. Then I posted a link to this bug so that everyone could express their opinion or concerns here and get a response from a technical point of view. However, nobody had any questions nor did anyone contribute to the local discussion after my last post. Therefore I think the consensus for the adjustment has been reached, since no objections were raised throughout the talk (apart from possible breaks in similarly named pages, which, as explained above, will be visible and amendable immediately).

MarkAHershberger added a comment.Via ConduitJul 16 2011, 9:26 PM

What is the outcome of the discussion, did the community approve the
change?

Yes, this can be done.

Reedy added a comment.Via ConduitJul 17 2011, 7:52 PM

Done

bzimport added a comment.Via ConduitJul 18 2011, 9:32 AM

microcell3 wrote:

Are you sure? I still don't see [[ВП:Кнайпа]] redirect to [[Вікіпедія:Кнайпа]]. Perhaps it needs some time to be fulfilled or you chose incorrect namings?

bzimport added a comment.Via ConduitJul 18 2011, 10:29 AM

microcell3 wrote:

Looks like ВЦ: has been redirected instead of ВП:, but this prefix works properly. Fix it please.

bzimport added a comment.Via ConduitJul 20 2011, 6:44 PM

microcell3 wrote:

There's only one letter which needs changing in the code. No problems occur with using ВЦ: as the alias, but it's incorrect and doesn't match existing shortcuts. Please, do this small change so that we could ask additional questions in case something goes wrong.

Reedy added a comment.Via ConduitJul 22 2011, 3:10 PM

Just tried to push this for you, but there are some sync-script problems

Will deal with it later for you

bzimport added a comment.Via ConduitJul 22 2011, 3:32 PM

microcell3 wrote:

Thank you for addressing the issue, it seems to work now but caused another glitch. All pages starting with "ВП:" which belonged to the mainspace before, instead of moving to another namespace disappeared along with edit histories. Shall we recreate them all by hand or this is just what's gonna be fixed later?

Reedy added a comment.Via ConduitJul 22 2011, 3:36 PM

It looks like it might've actually merged out, and is somewhat lying to me.

I don't think it is fully done.

Give me a couple of hours till the people are at work in the WMF office, I'll get the script run, and run namespaceDupes.php for you, and that'll tidy up the missing pages etc

Reedy added a comment.Via ConduitJul 22 2011, 5:04 PM

Most of them should be fixed now, but getting the following errors still

reedy@fenari:/home/wikipedia/common/php-1.17/maintenance$ php namespaceDupes.php --wiki=ukwiki --fix
... 80379 (0,"ВП:")
... * cannot resolve automatically; illegal title *
... 83075 (0,"ВП:AWB") -> (4,"AWB") [[Вікіпедія:AWB]]
... * cannot resolve automatically; page exists with ID 583078 *
... 234583 (0,"ВП:IRC") -> (4,"IRC") [[Вікіпедія:IRC]]
... * cannot resolve automatically; page exists with ID 234582 *
... 422698 (0,"ВП:OTRS") -> (4,"OTRS") [[Вікіпедія:OTRS]]
... * cannot resolve automatically; page exists with ID 422697 *
... 1031730 (0,"ВП:ІИЙ") -> (4,"ІИЙ") [[Вікіпедія:ІИЙ]]
... * cannot resolve automatically; page exists with ID 1045284 *
... 171769 (0,"ВП:АД") -> (4,"АД") [[Вікіпедія:АД]]
... * cannot resolve automatically; page exists with ID 1045267 *
... 223423 (0,"ВП:Барви") -> (4,"Барви") [[Вікіпедія:Барви]]
... * cannot resolve automatically; page exists with ID 166582 *
... 685655 (0,"ВП:Бот") -> (4,"Бот") [[Вікіпедія:Бот]]
... * cannot resolve automatically; page exists with ID 331125 *
... 975847 (0,"ВП:Біологічні_статті") -> (4,"Біологічні_статті") [[Вікіпедія:Біологічні статті]]
... * cannot resolve automatically; page exists with ID 935424 *
... 163658 (0,"ВП:ВИЛ") -> (4,"ВИЛ") [[Вікіпедія:ВИЛ]]
... * cannot resolve automatically; page exists with ID 1045261 *
... 489957 (0,"ВП:Вандалізм") -> (4,"Вандалізм") [[Вікіпедія:Вандалізм]]
... * cannot resolve automatically; page exists with ID 29777 *
... 211651 (0,"ВП:Гумор") -> (4,"Гумор") [[Вікіпедія:Гумор]]
... * cannot resolve automatically; page exists with ID 42794 *
... 193633 (0,"ВП:ЗА") -> (4,"ЗА") [[Вікіпедія:ЗА]]
... * cannot resolve automatically; page exists with ID 1045260 *
... 223439 (0,"ВП:Згущівка") -> (4,"Згущівка") [[Вікіпедія:Згущівка]]
... * cannot resolve automatically; page exists with ID 175756 *
... 29131 (0,"ВП:НТЗ") -> (4,"НТЗ") [[Вікіпедія:НТЗ]]
... * cannot resolve automatically; page exists with ID 232576 *
... 29107 (0,"ВП:Правила") -> (4,"Правила") [[Вікіпедія:Правила]]
... * cannot resolve automatically; page exists with ID 27482 *
... 288265 (0,"ВП:Реєстрація") -> (4,"Реєстрація") [[Вікіпедія:Реєстрація]]
... * cannot resolve automatically; page exists with ID 19010 *

Want the alias disabling while those pages are fixed?

bzimport added a comment.Via ConduitJul 22 2011, 6:28 PM

microcell3 wrote:

Yes, that works, thanks for a quick response. As to those pages, their titles coincide everywhere, thus the reader is unlikely to notice the update anyhow. So I think nothing else must be done about them.

bzimport added a comment.Via ConduitJul 24 2011, 11:44 AM

jeluf wrote:

I've run

php namespaceDupes.php ukwiki --fix --suffix=/FIXME

which moves all unfixable pages to ''old pagetitle''/FIXME. Unfortunately, my terminal was set to latin1 instead of UTF8, so that I can't show the screen output.

Add Comment